Name:           hexchat
Version:        2.16.1
Release:        %mkrel 1
Summary:        An IRC chat program
Group:          Networking/IRC
License:        GPLv2
Url:            https://hexchat.github.io
Source0:        https://dl.hexchat.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  appstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  iso-codes-devel
BuildRequires:  lib64canberra-devel
BuildRequires:  lib64dbus-glib-1_2-devel
BuildRequires:  lib64gtk+2.0_0-devel
BuildRequires:  lib64notify-devel
BuildRequires:  lib64openssl-devel
BuildRequires:  lib64proxy-devel
BuildRequires:  lib64python3-devel
BuildRequires:  libpthread-stubs
BuildRequires:  luajit-devel
BuildRequires:  meson
BuildRequires:  pciutils-devel
BuildRequires:  perl-devel
Requires:       libnotify

%description
HexChat is an IRC chat program. It allows you to join multiple IRC
channels (chat rooms) at the same time, talk publicly, private
one-on-one conversations etc.

HexChat is based on XChat, but unlike XChat it's completely free
for both Windows and Unix-like systems.

%package devel
Summary:        HexChat header for plugin development
Group:          Development/Libraries
Conflicts:      xchat-devel

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%prep
%setup -q

%build
%global ldflags "-Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id"
%meson
%meson_build

%install
%meson_install
find %{buildroot} -type f -regex ".*\.\(a\|la\)$" -delete
desktop-file-edit --set-key=Exec --set-value="hexchat -e %U" %{buildroot}%{_desktopdir}/io.github.Hexchat.desktop
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/%{name}/plugins/*
%{_desktopdir}/io.github.Hexchat.desktop
%{_datadir}/dbus-1/services/org.%{name}.service.service
%{_iconsdir}/hicolor
%{_mandir}/man1/%{name}.1.*
%{_datadir}/metainfo/io.github.Hexchat.appdata.xml
%{_libdir}/%{name}/python/

%files devel
%{_includedir}/%{name}-plugin.h
%{_libdir}/pkgconfig/%{name}-plugin.pc

%changelog
* Sun Dec 18 2022 tex - 2.16.1-1pclos2022
- new version

* Sun Dec 18 2022 tex - 2.16.0-2pclos2022
- rebuild against the python3 update

* Fri Dec 03 2021 tex - 2.16.0-1pclos2021
- new version

* Sun Dec 29 2019 tex - 2.14.3-1pclos2020
- new version

* Sun Jul 07 2019 tex - 2.14.2-2pclos2019
- rebuild against updates

* Wed Aug 29 2018 tex - 2.14.2-1pclos2018
- new
